package ru.yandex.webmaster3.api.host.data;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.data.WebmasterHostId;

/**
 * @author avhaliullin
 */
public interface IHostInfo {
    @Description("id хоста")
    WebmasterHostId getHostId();

    @Description("адрес хоста")
    ASCIIHostUrl getAsciiHostUrl();

    @Description("адрес хоста")
    UnicodeHostUrl getUnicodeHostUrl();

    @Description("подтвержден ли хост")
    boolean isVerified();
}
